Skip to content
MyStocks Developers
API v1

API v1

Current stable contract

Versioning policyRelease changelog
Sandbox console

Client activity feed

Institutional Reporting, Auditing & Compliance

GET

/client-activity

Client activity feed

Sandbox availablelistClientActivity

Returns a chronological feed of all sub-account activity — trades, deposits, withdrawals, KYC changes, and dividends. Useful for building an admin dashboard.

Parameters

fromstringquery

Example: 2026-01-01

tostringquery
typeTRADE | DEPOSIT | WITHDRAWAL | KYC | DIVIDENDquery

Filter by event type.

limitintegerquery

Example: 100

Headers

AuthorizationstringRequired

Bearer sk_sandbox_<your_key> for sandbox requests.

Response fields

eventsobject[]
events[].eventIdstring
events[].typestring
events[].subAccountIdstring
events[].detailobject

Event-specific payload.

events[].createdAtstring
totalinteger

Response codes

200Activity events.